'use strict';

module.exports = (app) => {
  const { router, controller, config } = app;
  const target = 'table';
  const prefix = config.routePrefix;
  const mware = app.middleware.logDb();
  router.post(target, `${prefix}/${target}/copy`, controller[target].copy);
  router.post(`targetExport`, `${prefix}/${target}/export`, mware, controller[target].toExport);
  router.post(`targetExportTS`, `${prefix}/${target}/exportTS`, controller[target].toExportTS);
  router.resources(target, `${prefix}/${target}`, controller[target]); // index、create、show、destroy
  router.post(target, `${prefix}/${target}/:id`, controller[target].update);
  router.post(target, `${prefix}/${target}/schema/:id`, controller[target].getSchema);
};
